#coding:utf-8
txtpath=r"d.txt"
fp=open(txtpath)
arr=[]
for lines in fp.readlines():
        if lines.find("*)*)*")!=-1: #or lines.find("+")!=-1 or lines.find("?")!=-1:
                arr.append(lines)
        #if(lines.find("*")!=-1 and lines.find("?")==-1):
                #arr.append(lines)
                #and lines.find("?")==-1
                #if(lines.find("*")!=-1 and lines.find("?")!=-1):
                        #arr.append(lines)
                #if(lines.find("|")!=-1):#and lines.find("|")==-1
                        #arr.append(lines)
fp.close()
#print arr
#print type(arr)
#arr.sort();
xieci=open(r'))).txt','w')   #打开处理后存放的文件
for line in arr:
	xieci.writelines(line)
xieci.close()
